Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.imageio.plugins.tiff
Class FaxTIFFTagSet

    java.lang.Object
      |
      +--com.sun.media.imageio.plugins.tiff.TIFFTagSet
            |
            +--com.sun.media.imageio.plugins.tiff.FaxTIFFTagSet

public class FaxTIFFTagSet
extends TIFFTagSet

A class representing the extra tags found in a TIFF-F (RFC 2036) file.

Field Summary
`static int` | `CLEAN_FAX_DATA_ERRORS_CORRECTED` A value to be used with the "CleanFaxData" tag.
`static int` | `CLEAN_FAX_DATA_ERRORS_UNCORRECTED` A value to be used with the "CleanFaxData" tag.
`static int` | `CLEAN_FAX_DATA_NO_ERRORS` A value to be used with the "CleanFaxData" tag.
`static int` | `TAG_BAD_FAX_LINES` Tag indicating the number of bad fax lines (type SHORT or LONG).
`static int` | `TAG_CLEAN_FAX_DATA` Tag indicating the number of lines of clean fax data (type SHORT).
`static int` | `TAG_CONSECUTIVE_BAD_LINES` Tag indicating the number of consecutive bad lines (type SHORT or LONG).

Method Summary
`static FaxTIFFTagSet` | `getInstance()` Returns a shared instance of a `FaxTIFFTagSet`.

Methods inherited from class com.sun.media.imageio.plugins.tiff.TIFFTagSet
`getTag, getTag, getTagNames, getTagNumbers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_BAD_FAX_LINES

    public static final int TAG_BAD_FAX_LINES

  Tag indicating the number of bad fax lines (type SHORT or LONG).

  See Also:
    Constant Field Values

### TAG_CLEAN_FAX_DATA

    public static final int TAG_CLEAN_FAX_DATA

  Tag indicating the number of lines of clean fax data (type SHORT).

  See Also:
    `CLEAN_FAX_DATA_NO_ERRORS`, `CLEAN_FAX_DATA_ERRORS_CORRECTED`, `CLEAN_FAX_DATA_ERRORS_UNCORRECTED`, Constant Field Values

### CLEAN_FAX_DATA_NO_ERRORS

    public static final int CLEAN_FAX_DATA_NO_ERRORS

  A value to be used with the "CleanFaxData" tag.

  See Also:
    `TAG_CLEAN_FAX_DATA`, Constant Field Values

### CLEAN_FAX_DATA_ERRORS_CORRECTED

    public static final int CLEAN_FAX_DATA_ERRORS_CORRECTED

  A value to be used with the "CleanFaxData" tag.

  See Also:
    `TAG_CLEAN_FAX_DATA`, Constant Field Values

### CLEAN_FAX_DATA_ERRORS_UNCORRECTED

    public static final int CLEAN_FAX_DATA_ERRORS_UNCORRECTED

  A value to be used with the "CleanFaxData" tag.

  See Also:
    `TAG_CLEAN_FAX_DATA`, Constant Field Values

### TAG_CONSECUTIVE_BAD_LINES

    public static final int TAG_CONSECUTIVE_BAD_LINES

  Tag indicating the number of consecutive bad lines (type SHORT or LONG).

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static FaxTIFFTagSet getInstance()

  Returns a shared instance of a `FaxTIFFTagSet`.

  Returns:
    a `FaxTIFFTagSet` instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD